package com.example.android.preference;

import java.util.Map;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class PreferencesViewer extends Activity {
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.main);
		
		SharedPreferences sp = PreferenceManager.getDefaultSharedPreferences(this);
		sp.edit().commit();
		Map<String, ?> map = sp.getAll();

		CharSequence[] list = new CharSequence[map.size()];
		int i = 0;
		for (String key : map.keySet()) {
			list[i++] = key + "=" + map.get(key);
		}
		
		ArrayAdapter<CharSequence> adapter = new ArrayAdapter<CharSequence>(this, android.R.layout.simple_list_item_1, list);
		ListView listView = (ListView)findViewById(R.id.ListView01);
		listView.setAdapter(adapter);
	}
}
